Startup Delayer 2.3 Documentation

When Windows loads its startup file, it attempts to load every Application at the same time. If you have many Applications starting, each program will try and grab the CPU, RAM and HDD at the SAME time!

If each program tries to load at the same time, a great slow-down occurs as each resource tries to help each Application that is loading. This in turn slows down your entire Startup Process.

Startup Delayer allows programs to start in a more orderly fashion by setting how many seconds after Windows has started, to load each Application. The effect that this gives is that you gain control of the system much faster, and the Application that was launched will launch faster as it does not have to share the resources with other Applications.

For Example:
Suppose you have a mail program and a chat program that startup when Windows starts. Using Startup Delayer, you can have the mail program start 30 seconds after Windows startup. Then set the chat program to start 60 seconds after Windows startup. Now each program will startup on its own instead of all at once enabling a smoother, speedier startup.

Usually you would delay Applications that you don't need to use immediately on Startup. This way you can immediately start using your Computer.


Quick Start

Delaying the Startup of an Application using Startup Delayer
To delay an Application, you can:

1) Drag and drop it onto the Time Chart underneath the Application List
2) Double click the program in the list view, or
3) Right click the program in the list view and select 'Edit...'

If you Dragged and Dropped the Application onto the Time Chart, the Application will be instantly delayed. You can then drag and drop it around the Time Chart to change the Delay.

If you Chose Edit, you will be presented with the follow Window where you can manually type in a delay:

Once you are done, click the 'Save' button and the Application will be delayed:


Using Startup Delayer

Upon running Startup Delayer for the first time, you will be presented with the following window:

The main Window consists of the Menu System (1), the Toolbar (2), the Filter (3), the Application Listing (4), the Time Graph (5) and the Status Bar (6).

(1) Menu System: See "The Menu System" for more information.

(2) Toolbar: Provides quick access buttons to commonly used commands.

(3) Filter: See "The Filter"

(4) Application Listing: Listing of all the applications starting when your computer is started.

(5) Time Graph: Visual representation of when your applications are launched, according to the delay you give them.

(6) Status Bar: Used to display the amount of time delayed for the currently selected application.


Using The Time Graph

Visual representation of when your applications are launched, according to the delay you give them.
The Time Graph can also be used to re-arrange your applications. The applications are coloured using alternating colours. When one is selected, it is coloured with the System Highlight colour.

You are able to re-arrange your applications on the Time Graph by clicking on the bar in the Time Graph and dragging it to a new Time.

The current time it displayed in the status bar and selected in the Application List. As you drag the application an arrow will be displayed so that you can see from where you have moved the Application.

When you release the mouse button, the application will be set to the new time and the Time Graph will update automatically.

The Time Graph will automatically scale the bars when you drag to the right. When you drag back to the left the scale will stay the same. You may need to right click on the Time Graph and click 'Reset Scale' if you have moved your applications around


Activating Startup Delayer

You must activate Startup Delayer for it to launch it's programs
To Activate Startup Delayer , click the 'Actions' Menu and move to the 'Activate Startup Delayer' Menu option. From here, you can choose which type of Launch you would like.

Launch Types:
Launch Type | About this Launch Type
Invisible | This Type imitates the Windows Startup, in that you cannot see anything on screen, but Startup Delayer in invisibly launching your programs.
Graphical | This Type displays a small window on the screen, informing you which Application is about to be launched and allowing you to Pause Startup Delayer, Close Startup Delayer, Launch the Application now, or Skip the Application and not Launch it.

Upon activating Startup Delayer, the SD icon on the toolbar will change to a blue colour. This means that Startup Delayer is active and will launch the next time you restart Windows®. You will also notice that the Title of the Window has changed to 'Startup Delayer - Active'.

To disable Startup Delayer from launching the programs that are associated with it, you merely click the Blue SD icon on the toolbar, or use the 'Actions' menu and select 'Deactivate Startup Delayer'. The toolbar icon will change colour, and the Title of the Window will change to 'Startup Delayer - Deactivated'


Spacing Time

Spacing Programs across time
A quick and easy way to start your programs launching smoothly is to use the 'Space Evenly' command found under the 'Actions' menu:

This command allows you to evenly space each program in the startup list. Enter the total amount of time to delay all programs over and Startup Delayer will evenly spread them across the chosen time:

When you click OK, Startup Delayer will assign each program a 'Delay' value to ensure that after launching all programs, it has taken the total amount of time you entered. This will give your programs a perfect spread and will allow you to further Tweak it to your will.


Using The Filter

The filter shows programs started based on user type.
The filter gives you an easy way to help you organise your startup programs. Each filter selection displays the programs started for the group of users.


Application Information

Application Information in a database of known applications and programs that you have classified.

The database is driven using the 'Classify as...' commands in the right click menu when right clicking on an item in the Startup Delayer window.

This feature is useful for quickly identifying Applications.

Colouring is applied to the List view depending on the Application Information:

Colour | Description
Gray | Unknown and not Delayer
Black | Unknown and Delayed by Startup Delayer
Blue | System Process
Green | 3rd Party application
Red | Malware